> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getimpala.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get File

> Retrieve metadata for a specific file.



## OpenAPI

````yaml /openai-api-swagger.json get /v1/files/{file_id}
openapi: 3.1.0
info:
  title: impala.ai OpenAI API v0.1.0
  description: >-
    An OpenAI API compatible server for impala.ai


    All timestamps are Unix epoch seconds, UTC. A null `*_at` field means the
    event did not occur for this run.


    All costs in USD.
  version: 0.1.0
servers: []
security: []
paths:
  /v1/files/{file_id}:
    get:
      tags:
        - files
      summary: Get File
      description: Retrieve metadata for a specific file.
      operationId: get_file_v1_files__file_id__get
      parameters:
        - name: file_id
          in: path
          required: true
          schema:
            type: string
            title: File Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FileObjectModel'
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseModel'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    FileObjectModel:
      properties:
        id:
          type: string
          title: Id
          description: The file identifier, which can be referenced in the API endpoints.
        object:
          type: string
          const: file
          title: Object
          description: The object type, which is always file.
        bytes:
          type: integer
          title: Bytes
          description: The size of the file, in bytes.
        created_at:
          type: integer
          title: Created At
          description: The Unix timestamp (in seconds) for when the file was created.
        expires_at:
          anyOf:
            - type: integer
            - type: 'null'
          title: Expires At
          description: The Unix timestamp (in seconds) for when the file will expire.
        filename:
          type: string
          title: Filename
          description: The name of the file.
        purpose:
          $ref: '#/components/schemas/FilePurpose'
          description: >-
            The intended purpose of the file. Supported values are `assistants`,
            `assistants_output`, `batch`, `batch_output`, `fine-tune`,
            `fine-tune-results`, `vision`, and `user_data`.
      type: object
      required:
        - id
        - object
        - bytes
        - created_at
        - expires_at
        - filename
        - purpose
      title: FileObjectModel
    ErrorResponseModel:
      properties:
        error:
          $ref: '#/components/schemas/ErrorDetail'
          description: The error details.
      type: object
      required:
        - error
      title: ErrorResponseModel
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    FilePurpose:
      type: string
      enum:
        - assistants
        - assistants_output
        - batch
        - batch_output
        - fine-tune
        - fine-tune-results
        - vision
        - user_data
      title: FilePurpose
    ErrorDetail:
      properties:
        message:
          type: string
          title: Message
          description: A human-readable error message.
        type:
          type: string
          title: Type
          description: The type of error.
        param:
          anyOf:
            - type: string
            - type: 'null'
          title: Param
          description: The parameter that caused the error, if applicable.
        code:
          anyOf:
            - type: string
            - type: 'null'
          title: Code
          description: An error code, if applicable.
      type: object
      required:
        - message
        - type
      title: ErrorDetail
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````